<?php

/**
 * Implementiert die Seite, die das Gateway neustartet um eine Firmware zu installieren
 * @author Florian Kraatz <fk@beronet.com>
 * @author Miguel Palmer <mp@beronet.com>
 */
class UpdateTool {

	private		$m_attr;

	function __construct($m, $get = array(), $post = array(), $session = array()) {
		$this->m_attr = $m;
	}

	private function _logfiles_download_button() {

		$permlog_dir = '/usr/conf/permlog/';

		if (!file_exists($permlog_dir)) {
			return(false);
		}

		$dir_contents = scandir('/usr/conf/permlog');

		$file_count = 0;
		foreach ($dir_contents as $logfile) {
			if (($logfile == '.') || ($logfile == '..')) {
				continue;
			}

			$file_count++;
		}

		if ($file_count == 0) {
			return(false);
		}

		$ret = '<form method="POST">' . "\n" .
			'<div class="text-center">'
			. '<input type="button" class="btn btn-default" value="' . UPDATETOOL_PERMLOG_BUTTON_DIS . '" ' .
			'onclick="window.location.href=\'modules/UpdateTool/permlog.php\';" onmouseover="Tip(\'' . UPDATETOOL_PERMLOG_TOOLTIP_DIS . '\')" onmouseout="UnTip();" />' . "\n" .
			'</div>'
			. '</form>' . "\n";

		return($ret);
	}

	function display() {
		#$image_dir = "/mnt/images";
		$image_dir = "/tmp/images";
		system("mkdir -p " . $image_dir);
		//Verbindung mit der root db
		//Verbindung mit der beroAri db
		$ba = new beroAri();

		// args
		$m = $this->m_attr;

		$show = true;
		$name = "UPDATE_TOOL_TITLE_DIS";
		include('./includes/header.php');
		$option = Helper::getActivateOption();
		
		//available FW version form FW list
		$display_fw_available = '';
		$path_fw_list = '/tmp/firmware_3LI.list';
		if (file_exists($path_fw_list) && $get_fw_list = file_get_contents($path_fw_list))
		{
			if (preg_match("/Firmware ([0-9.]{1,5});appfs/", $get_fw_list, $fw_matched))
			{ 
				$display_fw_available = 	'<table class="table table-striped table-bordered" style="width:30% !important; margin:auto; text-align: center;">' . "\n" .
								'<tr><th class="text-center">' . AVAILABLE_FIRMWARE_TABLE_DIS . '</th></tr><tr><td>' . $fw_matched[1] . '</td></tr>
								</table>' . "\n" . '<br/>';
			}	
		}		

		$ret .= '<script>
            function link(link) {
                $("#wait_div").fadeIn(2000);
                $( "#ajax" ).load( link+" #log",  function() {
                    $("#wait_div").fadeOut(300);
                    $("#update").hide();
                });
            }
            function checkupdate(option){
                if (option!="0"){
                    alert("' . UPDATE_TOOL_MESSAGE_DIS . '");
                    return false;
                }
                conf = confirm("' . REBOOT_RESET_CONFIRM_REBOOT_DIS . '");
		if (conf==false){
                    return false;
                }else{
                    return true;
                }
            }
        </script>
		<br/><div id="ajax"></div>';
		$ret .= $display_fw_available;
		$ret .= '<div class="text-center">
			<form method="POST" action="./reboot.php" onsubmit="return checkupdate(\'' . $option . '\');">
                    <input type="hidden" name="action" value="reboot">
			<input type="hidden" name="v" value="Yes">
			<input type="hidden" name="module" value="fw_update">
	<input type="submit" class="btn btn-default" name="submit" value="' . BUTTON_RESTART_UPDATE . '" />
	</form><br /><br />' .
			$this->_logfiles_download_button() .
			'</div>';


		return $ret;
	}

}

?>
